Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class ColoredSurface

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Shape3D
                      org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
                          org.deegree.ogcwebservices.wpvs.j3d.ColoredSurface

Direct Known Subclasses:
  TexturedSurface

    public class ColoredSurface

extends DefaultSurface

Since:
  2.0
Version:
  $Revision: 20601 $, 1.0. $Revision: 20601 $, $Date: 2009-11-05 16:25:55 +0100 (Do, 05. Nov 2009) $
Author:
  Andreas Poth, last edited by: $Author: rbezema $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
`geometry`

Fields inherited from class javax.media.j3d.Shape3D
`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`ColoredSurface(String objectID, String parentId, Geometry surface, javax.media.j3d.Appearance app)`
`ColoredSurface(String objectID, String parentId, Geometry geometry, float red, float green, float blue, float transparency)`
`ColoredSurface(String objectID, String parentId, Geometry surface, javax.media.j3d.Material material, float transparency)`

Method Summary
`javax.media.j3d.Appearance` | `getAppearance()`
`void` | `setAppearance(javax.media.j3d.Appearance appearance)`

Methods inherited from class org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
`addGeometries, compile, extractSurface, getDefaultSurfaceID, getGeometryAsString, getGeometryInfo, getObjectID, getParentID, getSurfaceGeometry`

Methods inherited from class javax.media.j3d.Shape3D
`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColoredSurface

    public ColoredSurface(String objectID,
                          String parentId,
                          Geometry geometry,
                          float red,
                          float green,
                          float blue,
                          float transparency)

Parameters:
  `objectID` - an Id for this Surface, for example a db primary key
  `parentId` - an Id for the parent of this Surface, for example if this is a wall the parent is the building.
  `geometry` -
  `red` -
  `green` -
  `blue` -
  `transparency` -

### ColoredSurface

    public ColoredSurface(String objectID,
                          String parentId,
                          Geometry surface,
                          javax.media.j3d.Material material,
                          float transparency)

Parameters:
  `objectID` - an Id for this Surface, for example a db primary key
  `parentId` - an Id for the parent of this Surface, for example if this is a wall the parent is the building.
  `surface` -
  `material` -
  `transparency` -

### ColoredSurface

    public ColoredSurface(String objectID,
                          String parentId,
                          Geometry surface,
                          javax.media.j3d.Appearance app)

Parameters:
  `objectID` - an Id for this Surface, for example a db primary key
  `parentId` - an Id for the parent of this Surface, for example if this is a wall the parent is the building.
  `surface` -
  `app` -

Method Detail

### getAppearance

    public javax.media.j3d.Appearance getAppearance()

  Overrides:
    `getAppearance` in class `javax.media.j3d.Shape3D`

### setAppearance

    public void setAppearance(javax.media.j3d.Appearance appearance)

  Overrides:
    `setAppearance` in class `javax.media.j3d.Shape3D`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org